summaryrefslogtreecommitdiffstats
path: root/ham/ebook2cw
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2014-07-14 06:58:54 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-07-16 18:26:45 +0700
commitb284b461f5b237718b9673b6d73e240f1ac07a54 (patch)
tree10eeb6e8db6a21f9ea75ac35d54d08b2585b337e /ham/ebook2cw
parent04dc6af242e3800e2a2d6fac09e5bd3165fb335d (diff)
downloadslackbuilds-b284b461f5b237718b9673b6d73e240f1ac07a54.tar.gz
slackbuilds-b284b461f5b237718b9673b6d73e240f1ac07a54.tar.xz
ham/ebook2cw: Added (ebook converter).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham/ebook2cw')
-rw-r--r--ham/ebook2cw/README9
-rw-r--r--ham/ebook2cw/ebook2cw.SlackBuild95
-rw-r--r--ham/ebook2cw/ebook2cw.info10
-rw-r--r--ham/ebook2cw/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/ham/ebook2cw/README b/ham/ebook2cw/README
new file mode 100644
index 0000000000..8b890d288c
--- /dev/null
+++ b/ham/ebook2cw/README
@@ -0,0 +1,9 @@
+ebook2cw is a command line program (optional graphical user interface
+available) which converts a plain text (ASCII, ISO 8859-1 or UTF-8)
+file (e. g. an ebook) to Morse code MP3 or OGG audio files. It works
+on several platforms, including Windows, Linux, FreeBSD and Mac OS X.
+
+It allows heavy configuration of the output files, including CW speed,
+Farnsworth spacing, tone frequency, signal-to-noise ratio, waveform,
+length of file before splitting, and other parameters. It currently backs
+LCWO.net and can be compiled to use as a CGI.
diff --git a/ham/ebook2cw/ebook2cw.SlackBuild b/ham/ebook2cw/ebook2cw.SlackBuild
new file mode 100644
index 0000000000..ec8d66fcf4
--- /dev/null
+++ b/ham/ebook2cw/ebook2cw.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+# Slackbuild for ebook2cw
+# Written by JK Wood joshuakwood@gmail.com
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=ebook2cw
+VERSION=${VERSION:-0.8.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix man and doc paths
+sed -i s#/share/#/#g Makefile
+sed -i s#doc/ebook2cw#doc/$PRGNAM-$VERSION#g Makefile
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make DESTDIR=$PKG/usr
+make install DESTDIR=$PKG/usr
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/ebook2cw/ebook2cw.info b/ham/ebook2cw/ebook2cw.info
new file mode 100644
index 0000000000..fd4728c5dc
--- /dev/null
+++ b/ham/ebook2cw/ebook2cw.info
@@ -0,0 +1,10 @@
+PRGNAM="ebook2cw"
+VERSION="0.8.2"
+HOMEPAGE="http://fkurz.net/ham/ebook2cw.html"
+DOWNLOAD="http://fkurz.net/ham/ebook2cw/ebook2cw-0.8.2.tar.gz"
+MD5SUM="2069b3a4a2b21810bbf32532e2287f7d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lame"
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
diff --git a/ham/ebook2cw/slack-desc b/ham/ebook2cw/slack-desc
new file mode 100644
index 0000000000..bcf00bbd01
--- /dev/null
+++ b/ham/ebook2cw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ebook2cw: ebook2cw (ebook to cw program for Linux )
+ebook2cw:
+ebook2cw: ebook2cw is a command-line program for converting ebooks to morse
+ebook2cw: code mp3 or OGG files. It uses the LAME encoder.
+ebook2cw:
+ebook2cw: Homepage: http://fkurz.net/ham/ebook2cw.html
+ebook2cw:
+ebook2cw:
+ebook2cw:
+ebook2cw:
+ebook2cw: